package mailsample_1;

import java.util.Properties;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import net.tkxtools.Mail;

public class Exec {
    public  static void main(String[] args){
        Properties prop =   Mail.createProp("mail.xml");  // サーバー情報
        //Mail.outputProp(prop, System.out);              // propをXML形式で出力（確認用）
        String to      = "tanaka@mail.com";  // 送り先メールアドレス
        String from    = "student@webs.com"; // 送信元メールアドレス
        String subject = "送信テスト";          // メール表題
        String body    = "こんにちは";          // メール本文   
        
        Sendmail sendmail = new Sendmail(prop, to, from, subject, body);
        ExecutorService es = Executors.newSingleThreadExecutor();   // スレッドプール作成
        es.execute(sendmail);       // マルチスレッドで実行    
        es.shutdown();              // スレッドプールを閉じる
        System.out.println("送信終了");
    }
}
